Skip to content

/api/v1/admin/users/{id}/tier

PUT
/api/v1/admin/users/{id}/tier
curl --request PUT \
--url https://nbaproplab.com/api/v1/admin/users/1/tier \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "tier": "example", "expiresAt": "2026-04-15T12:00:00Z" }'
id
required
integer format: int32
/^-?(?:0|[1-9]\d*)$/
object
tier
required
string
expiresAt
null | string format: date-time
Example generated
{
"tier": "example",
"expiresAt": "2026-04-15T12:00:00Z"
}

OK

object
id
required
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
email
required
string
displayName
required
null | string
tier
required
string
tierSource
required
string
tierExpiresAt
required
null | string format: date-time
emailVerified
required
boolean
isAdmin
required
boolean
createdAt
required
string format: date-time
lastLoginAt
required
null | string format: date-time

Authentication required.

Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Insufficient permissions or tier.

Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string